import request from '@/utils/request'

// 查询销售的客户标签列表
export function listCompanyTag(query) {
  return request({
    url: '/company/companyTag/list',
    method: 'get',
    params: query
  })
}

// 查询销售的客户标签详细
export function getCompanyTag(id) {
  return request({
    url: '/company/companyTag/' + id,
    method: 'get'
  })
}

// 新增销售的客户标签
export function addCompanyTag(data) {
  return request({
    url: '/company/companyTag',
    method: 'post',
    data: data
  })
}

// 修改销售的客户标签
export function updateCompanyTag(data) {
  return request({
    url: '/company/companyTag',
    method: 'put',
    data: data
  })
}

// 删除销售的客户标签
export function delCompanyTag(id) {
  return request({
    url: '/company/companyTag/' + id,
    method: 'delete'
  })
}

// 导出销售的客户标签
export function exportCompanyTag(query) {
  return request({
    url: '/company/companyTag/export',
    method: 'get',
    params: query
  })
}